<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name =
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                            S&D Code
 *  01/11/06 Initial Version                                        @
 *  ===========================================================================
 *  02/Aug/01 Fix the typo in attribute "widht"                     @d248255cmw
 *  02/Aug/01 Fix the alignment of the Intro message                @d248048cmw
 *  02/Aug/07 Resizable test area (check-in d248426)                @d248535cmw
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  02/Nov/25 Make all link colors black                            @d261057hab
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" omit-xml-declaration="yes"/>

<!-- PARAMETER DECLARATION AREA -->
<outout:param name="fw_intro_page_message" />
<outout:param name="fw_prodinfo_copyright" />
<outout:param name="fw_intro_page_note" />
<outout:param name="expired_session_msg" />

<!-- Start of rule to match on root -->
<outout:template match="/">
  <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
    <table width="100%" border="0" cellspacing="3" cellpadding="0">
      <tr valign="top">
        <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="20"/></td>
        <td width="100%">
          <b><font size="2" color="#000000"/></b>
          <br/><img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
        </td>
       </tr>
    </table>
    <br/>
    <table border="0" cellpadding="4" cellspacing="0" align="center">
      <tr>
      	<td align="center">
          			<font size="4" color="#FF0000">
        			    <outout:value-of select="$expired_session_msg" />
        			  </font><br />
      		<table align="center" border="0" cellpadding="1" cellspacing="1" width="70%">
        		<tr>
        			<td align="center">
          			<font size="4">
        			  <b>
                  <outout:value-of select="$fw_intro_page_message" />
                </b></font><br/><img src="../imgs/transDot.gif" width="1" height="20" alt="" border="0"/></td>
        		</tr>
         		<tr>
        			<td align="center" ><font size="3">
                <outout:value-of select="$fw_intro_page_note" />
              </font><br/><img src="../imgs/transDot.gif" width="1" height="20" alt="" border="0"/></td>
         		</tr>
          </table>
          <table align="center" border="0" cellpadding="1" cellspacing="1">
        		<tr>
      	  		<td align="center"><img src="../imgs/DBv8splash_generic.gif" border="1" height="355" width="396" alt="IBM DB2"/></td>
        		</tr>
            <tr><td><img src="../imgs/transDot.gif" height="10" width="10" alt="" /></td></tr>
         		<tr>
        			<td align="center"><b><font size="2">
                <outout:value-of select="$fw_prodinfo_copyright" />
              </font></b></td>
         		</tr>
  	    	</table>
      	</td>
      </tr>
    </table>
  </body>
<!--End Main Interaction -->
</outout:template>

</outout:stylesheet>
