<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = 
 *
 *  Function: 
 *            
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*  
 *
 ************************************************************************** -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" />
  
  <!-- NOTES : VERY IMPORTANT -->
  <!-- do not declare the head tag, this will cause xalan to output its own meta tag -->
  
  <!-- PARAM DECLARATION AREA -->
  <xsl:param name="wait_switch" />
  <xsl:param name="req_uri_param" />
  <xsl:param name="sid_param" />
  <xsl:param name="cs_param"  />
  <xsl:param name="event_param" />
  <xsl:param name="cs_value" />
  <xsl:param name="sid_value" />  
  <xsl:param name="wait_cycle" />
  
  <!-- rule to match on root node -->
  <xsl:template match="/">    
    <xsl:if test="$wait_switch = 'true'">
      <meta http-equiv="refresh">
        <xsl:attribute name="content">
          <xsl:value-of select="concat($wait_cycle,'&#59; URL=',$req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value)"/>
        </xsl:attribute>
      </meta>
    </xsl:if>
    <!-- merge the html snippets -->
    <xsl:apply-templates select="body" />
  </xsl:template>
  
  <!-- include body of page -->
  <xsl:template match="body">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:copy-of select="*|text()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>


