<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Interactive OS stylesheet
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  02/Nov/22 Initial Version                                       @d261057hab
 *  02/Dec/06 Change mri key for general settings link              @d263215hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
 <outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="command" />

  <outout:param name="ccwa_interactive_operation" />
  <outout:param name="ccwa_interactive_open_file" />
  <outout:param name="ccwa_interactive_save_command"/>
  <outout:param name="ccwa_interactive_sql" />
  <outout:param name="ccwa_interactive_scripts" />
  <outout:param name="ccwa_interactive_os" />
  <outout:param name="ccwa_interactive_command" />
  <outout:param name="ccwa_interactive_history" />
  <outout:param name="ccwa_interactive_execute" />
  <outout:param name="ccwa_interactive_output" />
  <outout:param name="ccwa_general_settings_link" />
  <outout:param name="ccwa_interactive_select_bullet" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="via_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />
  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="selectedFunction" /> <!-- can be equal to 'os', 'sql' or 'script' -->
  <!--               -->
  <!-- EVENT VALUES  -->
  <!--               -->
  <!-- "history" --> <!-- the value of the event for history of commands request -->
  <!-- "general_settings" -->
  <!-- "open_file" -->
  <!-- "save_cmd" -->
  <!-- "file_transfer" -->
  <!-- "execute" -->

  <!-- "function_select_sql" -->
  <!-- "function_select_script" -->
  <!-- "function_select_os" -->

  <!-- Start of rule to match on root -->
  <outout:template match="/">

    <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">

      <table width="100%" border="0" cellspacing="3" cellpadding="0">
        <tr valign="top">
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
          <td width="100%">
            <b><font size="2" color="#000000">
              <outout:call-template name="form_bctrail" >
                <outout:with-param name="string">
                  <outout:value-of select="$breadcrumbs" />
                </outout:with-param>
              </outout:call-template>
            </font></b><br/><img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
          </td>
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
        </tr>
        <tr>
          <td/>
          <td bgcolor="#000066">
            <table width="100%" border="0" cellspacing="2" cellpadding="0">
              <tr>
                <td>
                  <table width="600" border="0" cellspacing="0" cellpadding="0">
          	        <tr>
            			    <td bgcolor="#CCCCCC"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
              				<td bgcolor="#000066"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
              				<td bgcolor="#000066"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
              			</tr>
              			<tr>
            			    <td align="center" bgcolor="#CCCCCC" nowrap="true">
            			      <font size="2"><b>
                          <outout:value-of select="$ccwa_interactive_operation" />
                        </b></font>
                      </td>
              			</tr>
          		    </table>
          		  </td>
          		</tr>
              <tr>
    	          <td colspan="2" bgcolor="#FFFFFF">
                  <table width="100%" border="0" cellpadding="10">
                    <tr>
                      <td width="100%" valign="middle">

                        <form name="form1" method="post" action="{$req_uri_param}">
                          <table width="100%" cellspacing="3" cellpadding="0">
                            <tr>
                              <td colspan="2">
                                <outout:choose>
                                  <outout:when test="$selectedFunction='sql'">
                                    <img src="../imgs/select_bullet.gif" alt="{$ccwa_interactive_select_bullet}" />&#160;
                                    <font size="2" face="Arial, Helvetica, sans-serif"><b>
                                      <outout:value-of select="$ccwa_interactive_sql" />
                                    </b></font>
                                  </outout:when>
                                  <outout:otherwise>
                                    <img src="../imgs/transDot.gif" alt="" width="7" height="1"/>&#160;
                                    <a>
                               			<outout:call-template name="queryString">
                              				<outout:with-param name="event">
                                        <outout:value-of select="'function_select_sql'" />
                                    	</outout:with-param>
                              			</outout:call-template>
                                    <font color="#000000" size="2" face="Arial, Helvetica, sans-serif">
                                      <outout:value-of select="$ccwa_interactive_sql" />
                                    </font>
                                  </a>
                                </outout:otherwise>
                              </outout:choose>
                            </td>
                          </tr>
                          <tr>
                            <td colspan="2">
                              <outout:choose>
                                <outout:when test="$selectedFunction='script'">
                                  <img src="../imgs/select_bullet.gif" alt="{$ccwa_interactive_select_bullet}" />&#160;
                                  <font size="2" face="Arial, Helvetica, sans-serif"><b>
                                    <outout:value-of select="$ccwa_interactive_scripts" />
                                  </b></font>
                                </outout:when>
                                <outout:otherwise>
                                  <img src="../imgs/transDot.gif" alt="" width="7" height="1"/>&#160;
                                  <a>
                               			<outout:call-template name="queryString">
                              				<outout:with-param name="event">
                                        <outout:value-of select="'function_select_script'" />
                                    	</outout:with-param>
                              			</outout:call-template>
                                    <font color="#000000" size="2" face="Arial, Helvetica, sans-serif">
                                      <outout:value-of select="$ccwa_interactive_scripts" />
                                    </font>
                                  </a>
                                </outout:otherwise>
                              </outout:choose>
                            </td>
                          </tr>
                          <tr>
                            <td colspan="2">
                              <outout:choose>
                                <outout:when test="$selectedFunction='os'">
                                  <img src="../imgs/select_bullet.gif" alt="{$ccwa_interactive_select_bullet}" />&#160;
                                  <font size="2" face="Arial, Helvetica, sans-serif"><b>
                                    <outout:value-of select="$ccwa_interactive_os" />
                                  </b></font>
                                </outout:when>
                                <outout:otherwise>
                                  <img src="../imgs/transDot.gif" alt="" width="7" height="1"/>&#160;
                                  <a>
                               			<outout:call-template name="queryString">
                              				<outout:with-param name="event">
                                        <outout:value-of select="'function_select_os'" />
                                    	</outout:with-param>
                              			</outout:call-template>
                                    <font color="#000000" size="2" face="Arial, Helvetica, sans-serif">
                                      <outout:value-of select="$ccwa_interactive_os" />
                                    </font>
                                  </a>
                                </outout:otherwise>
                              </outout:choose>
                            </td>
                          </tr>
                          <tr>
                            <td colspan="2"> <br/></td>
                          </tr>
                          <tr>
                            <td colspan="2"><b><font size="2">
  <label for="commandsTextArea"><outout:value-of select="$ccwa_interactive_command" /></label>
  </font></b>&#160;&#160;&#160;
        <a>
    			<outout:call-template name="queryString">
    				<outout:with-param name="event">
              <outout:value-of select="'history'" />
          	</outout:with-param>
    			</outout:call-template>
          <font color="#000000" size="2" face="Arial, Helvetica, sans-serif">
            <outout:value-of select="$ccwa_interactive_history" />
          </font>
        </a>
  </td>
                        </tr>
                        <tr>
                          <td colspan="2">
                            <textarea rows="7" cols="90" name="commandsTextArea" id="commandsTextArea">
                              <outout:value-of select="$command" />
                            </textarea>
                          </td>
                         </tr>
  					   <tr>
  					   <td align="right">
  <input type="submit" name="openBtn">
    <outout:attribute name="value">
      <outout:value-of select="$ccwa_interactive_open_file" />
    </outout:attribute>
  </input>
  <input type="submit" name="saveBtn">
    <outout:attribute name="value">
      <outout:value-of select="$ccwa_interactive_save_command" />
    </outout:attribute>
  </input>
  <input type="submit" name="executeBtn">
    <outout:attribute name="value">
      <outout:value-of select="$ccwa_interactive_execute" />
    </outout:attribute>
  </input>
                                <outout:call-template name='makeStandardHiddenFields'>
                                  <outout:with-param name='event' select="'btnClick'" />
                                </outout:call-template>
                                <outout:call-template name='makeHiddenFields' />

  </td>
  					   <td/>
  					   </tr>
                         <tr><td><img src="../imgs/transDot.gif" alt="" width="1" height="7"/></td></tr>
                        <tr>
                          <td colspan="2"><b><font size="2">
  <label for="outputTextArea"><outout:value-of select="$ccwa_interactive_output" /></label>
  </font></b>&#160;&#160;&#160;
  <a>
    			<outout:call-template name="queryString">
    				<outout:with-param name="event">
              <outout:value-of select="'general_settings'" />
          	</outout:with-param>
    			</outout:call-template>

  <font color="#000000" size="2" face="Arial, Helvetica, sans-serif">
  <outout:value-of select="$ccwa_general_settings_link" />
  </font></a></td>
                        </tr>
                        <tr>
                          <td align="right">
                            <textarea id="outputTextArea" rows="6" cols="90" name="outputTextArea">
  <!-- picks up either dresult or derror (or dmessage), or both -->
  <outout:apply-templates select="root" />
  </textarea>
                          </td>
                          <td width="100%"/>
                        </tr>
                      </table>
                    </form>

                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
  	        <td colspan="2" align="right" bgcolor="#000066">
            </td>
          </tr>
        </table>
      </td>
      <td/>
    </tr>
  </table>


  </body>

  </outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/derror">
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/dresult">
    <outout:copy-of select="text()"/>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>

    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>


</outout:stylesheet>

